> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/location/wisej.hybrid.devicemap.md).

# DeviceMap

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

The Map integration enables an application to open the installed map application to a specific location or placemark.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceMap
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceMap
```

{% endtab %}
{% endtabs %}

Access this class through the [Device](/hybrid/start/api/general/wisej.hybrid.device.md) singleton.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceMap()

Initializes a new instance of [DeviceMap](/hybrid/start/api/location/wisej.hybrid.devicemap.md).

## Methods

### ![](/files/CCV9PPenlC1YZvNh1I6R)TryOpen(placemark, options)

First checks if the installed map application can be opened, then open the installed application to a specific placemark with launch options.

| Parameter                                    | Type                                                                                       | Description                               |
| -------------------------------------------- | ------------------------------------------------------------------------------------------ | ----------------------------------------- |
| **placemark**                                | [Placemark](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.placemark.md)       | Placemark to open in the map application. |
| **options** ![](/files/hKoZkt511VItWvI9RDIT) | [MapLaunchOptions](/hybrid/start/api/location/wisej.hybrid.shared.map.maplaunchoptions.md) | Launch options to use.                    |

**Returns:** [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean). if the map application is opened, otherwise .

### ![](/files/CCV9PPenlC1YZvNh1I6R)TryOpen(location, options)

First checks if the installed map application can be opened, then opens the installed application to a specific location with launch options.

| Parameter                                    | Type                                                                                       | Description                              |
| -------------------------------------------- | ------------------------------------------------------------------------------------------ | ---------------------------------------- |
| **location**                                 | [Location](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.location.md)         | Location to open in the map application. |
| **options** ![](/files/hKoZkt511VItWvI9RDIT) | [MapLaunchOptions](/hybrid/start/api/location/wisej.hybrid.shared.map.maplaunchoptions.md) | Launch options to use.                   |

**Returns:** [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean). if the map application is opened, otherwise .


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/location/wisej.hybrid.devicemap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
